> This is the Markdown version of the page. For the complete Lattice Developers documentation index, fetch https://developer.anduril.com/llms.txt. Append .md to any page URL for its clean Markdown.

# Publish entity

PUT https://example.developer.anduril.com/api/v1/entities
Content-Type: application/json

Publish an entity for ingest into the Entities API. Entities created with this method are "owned" by the originator: other sources, 
such as the UI, may not edit or delete these entities. The server validates entities at API call time and 
returns an error if the entity is invalid.

An entity ID must be provided when calling this endpoint. If the entity referenced by the entity ID does not exist
then it will be created. Otherwise the entity will be updated. An entity will only be updated if its
provenance.sourceUpdateTime is greater than the provenance.sourceUpdateTime of the existing entity.

Reference: https://developer.anduril.com/reference/rest/entities/publish-entity

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Body (application/json)

This endpoint expects an Entity.

- `entityId` (string, optional) — A Globally Unique Identifier (GUID) for your entity. This is a required field.
- `description` (string, optional) — A human-readable entity description that's helpful for debugging purposes and human traceability. If this field is empty, the Entity Manager API generates one for you.
- `isLive` (boolean, optional) — Indicates the entity is active and should have a lifecycle state of CREATE or UPDATE. Set this field to true when publishing an entity.
- `createdTime` (datetime, optional) — The time when the entity was first known to the entity producer. If this field is empty, the Entity Manager API uses the current timestamp of when the entity is first received. For example, when a drone is first powered on, it might report its startup time as the created time. The timestamp doesn't change for the lifetime of an entity.
- `expiryTime` (datetime, optional) — Future time that expires an entity and updates the is_live flag. For entities that are constantly updating, the expiry time also updates. In some cases, this may differ from is_live. Example: Entities with tasks exported to an external system must remain active even after they expire. This field is required when publishing a prepopulated entity. The expiry time must be in the future, but less than 30 days from the current time.
- `noExpiry` (boolean, optional) — Use noExpiry only when the entity contains information that should be available to other tasks or integrations beyond its immediate operational context. For example, use noExpiry for long-living geographical entities that maintain persistent relevance across multiple operations or tasks.
- `status` (Status, optional) — Human-readable descriptions of what the entity is currently doing.
- `location` (Location, optional) — Geospatial data related to the entity, including its position, kinematics, and orientation. Populate either this field (and `location_uncertainty`) or `kinematics`, not both. Populating both can lead to conflicting or inconsistent kinematics data for the entity.
- `locationUncertainty` (LocationUncertainty, optional) — Indicates uncertainty of the entity's position and kinematics.
- `kinematics` (Kinematics, optional) — Kinematics data related to the entity to a higher degree of granularity than Location. This is preferred for Track Entities. Populate either `location`/`location_uncertainty` or this field, not both. Populating both can lead to conflicting or inconsistent kinematics data for the entity.
- `geoShape` (GeoShape, optional) — Geospatial representation of the entity, including entities that cover an area rather than a fixed point.
- `geoDetails` (GeoDetails, optional) — Additional details on what the geospatial area or point represents, along with visual display details.
- `aliases` (Aliases, optional) — Entity name displayed in the Lattice UI side panel. Also includes identifiers that other systems can use to reference the same entity.
- `tracked` (Tracked, optional) — If this entity is tracked by another entity, this component contains data related to how it's being tracked.
- `correlation` (Correlation, optional) — If this entity has been correlated or decorrelated to another one, this component contains information on the correlation or decorrelation.
- `milView` (MilView, optional) — View of the entity.
- `ontology` (Ontology, optional) — Ontology defines an entity's categorization in Lattice, and improves data retrieval and integration. Builds a standardized representation of the entity.
- `sensors` (Sensors, optional) — Details an entity's available sensors.
- `payloads` (Payloads, optional) — Details an entity's available payloads.
- `powerState` (PowerState, optional) — Details the entity's power source.
- `provenance` (Provenance, optional) — The primary data source provenance for this entity.
- `overrides` (Overrides, optional) — Provenance of override data.
- `indicators` (Indicators, optional) — Describes an entity's specific characteristics and the operations that can be performed on the entity. For example, "simulated" informs the operator that the entity is from a simulation, and "deletable" informs the operator (and system) that the delete operation is valid against the entity.
- `targetPriority` (TargetPriority, optional) — The prioritization associated with an entity, such as if it's a threat or a high-value target.
- `signal` (Signal, optional) — Describes an entity's signal characteristics, primarily used when an entity is a signal of interest.
- `transponderCodes` (TransponderCodes, optional) — A message describing any transponder codes associated with Mode 1, 2, 3, 4, 5, S, C interrogations. These are related to ADS-B modes.
- `dataClassification` (Classification, optional) — Describes an entity's security classification levels at an overall classification level and on a per field level.
- `taskCatalog` (TaskCatalog, optional) — A catalog of tasks that can be performed by an entity.
- `media` (Media, optional) — Media associated with an entity, such as videos, images, or thumbnails.
- `relationships` (Relationships, optional) — The relationships between this entity and other entities in the common operational picture (COP).
- `visualDetails` (VisualDetails, optional) — Visual details associated with the display of an entity in the client.
- `dimensions` (Dimensions, optional) — Physical dimensions of the entity.
- `routeDetails` (RouteDetails, optional) — Additional information about an entity's route.
- `schedules` (Schedules, optional) — Schedules associated with this entity.
- `health` (Health, optional) — Health metrics or connection status reported by the entity.
- `groupDetails` (GroupDetails, optional) — Details for the group associated with this entity.
- `supplies` (Supplies, optional) — Contains relevant supply information for the entity, such as fuel.
- `orbit` (Orbit, optional) — Orbit information for space objects.
- `symbology` (Symbology, optional) — Symbology/iconography for the entity respecting an existing standard.

## Response

### 200

The request was valid and accepted.

- `entityId` (string, optional) — A Globally Unique Identifier (GUID) for your entity. This is a required field.
- `description` (string, optional) — A human-readable entity description that's helpful for debugging purposes and human traceability. If this field is empty, the Entity Manager API generates one for you.
- `isLive` (boolean, optional) — Indicates the entity is active and should have a lifecycle state of CREATE or UPDATE. Set this field to true when publishing an entity.
- `createdTime` (datetime, optional) — The time when the entity was first known to the entity producer. If this field is empty, the Entity Manager API uses the current timestamp of when the entity is first received. For example, when a drone is first powered on, it might report its startup time as the created time. The timestamp doesn't change for the lifetime of an entity.
- `expiryTime` (datetime, optional) — Future time that expires an entity and updates the is_live flag. For entities that are constantly updating, the expiry time also updates. In some cases, this may differ from is_live. Example: Entities with tasks exported to an external system must remain active even after they expire. This field is required when publishing a prepopulated entity. The expiry time must be in the future, but less than 30 days from the current time.
- `noExpiry` (boolean, optional) — Use noExpiry only when the entity contains information that should be available to other tasks or integrations beyond its immediate operational context. For example, use noExpiry for long-living geographical entities that maintain persistent relevance across multiple operations or tasks.
- `status` (Status, optional) — Human-readable descriptions of what the entity is currently doing.
- `location` (Location, optional) — Geospatial data related to the entity, including its position, kinematics, and orientation. Populate either this field (and `location_uncertainty`) or `kinematics`, not both. Populating both can lead to conflicting or inconsistent kinematics data for the entity.
- `locationUncertainty` (LocationUncertainty, optional) — Indicates uncertainty of the entity's position and kinematics.
- `kinematics` (Kinematics, optional) — Kinematics data related to the entity to a higher degree of granularity than Location. This is preferred for Track Entities. Populate either `location`/`location_uncertainty` or this field, not both. Populating both can lead to conflicting or inconsistent kinematics data for the entity.
- `geoShape` (GeoShape, optional) — Geospatial representation of the entity, including entities that cover an area rather than a fixed point.
- `geoDetails` (GeoDetails, optional) — Additional details on what the geospatial area or point represents, along with visual display details.
- `aliases` (Aliases, optional) — Entity name displayed in the Lattice UI side panel. Also includes identifiers that other systems can use to reference the same entity.
- `tracked` (Tracked, optional) — If this entity is tracked by another entity, this component contains data related to how it's being tracked.
- `correlation` (Correlation, optional) — If this entity has been correlated or decorrelated to another one, this component contains information on the correlation or decorrelation.
- `milView` (MilView, optional) — View of the entity.
- `ontology` (Ontology, optional) — Ontology defines an entity's categorization in Lattice, and improves data retrieval and integration. Builds a standardized representation of the entity.
- `sensors` (Sensors, optional) — Details an entity's available sensors.
- `payloads` (Payloads, optional) — Details an entity's available payloads.
- `powerState` (PowerState, optional) — Details the entity's power source.
- `provenance` (Provenance, optional) — The primary data source provenance for this entity.
- `overrides` (Overrides, optional) — Provenance of override data.
- `indicators` (Indicators, optional) — Describes an entity's specific characteristics and the operations that can be performed on the entity. For example, "simulated" informs the operator that the entity is from a simulation, and "deletable" informs the operator (and system) that the delete operation is valid against the entity.
- `targetPriority` (TargetPriority, optional) — The prioritization associated with an entity, such as if it's a threat or a high-value target.
- `signal` (Signal, optional) — Describes an entity's signal characteristics, primarily used when an entity is a signal of interest.
- `transponderCodes` (TransponderCodes, optional) — A message describing any transponder codes associated with Mode 1, 2, 3, 4, 5, S, C interrogations. These are related to ADS-B modes.
- `dataClassification` (Classification, optional) — Describes an entity's security classification levels at an overall classification level and on a per field level.
- `taskCatalog` (TaskCatalog, optional) — A catalog of tasks that can be performed by an entity.
- `media` (Media, optional) — Media associated with an entity, such as videos, images, or thumbnails.
- `relationships` (Relationships, optional) — The relationships between this entity and other entities in the common operational picture (COP).
- `visualDetails` (VisualDetails, optional) — Visual details associated with the display of an entity in the client.
- `dimensions` (Dimensions, optional) — Physical dimensions of the entity.
- `routeDetails` (RouteDetails, optional) — Additional information about an entity's route.
- `schedules` (Schedules, optional) — Schedules associated with this entity.
- `health` (Health, optional) — Health metrics or connection status reported by the entity.
- `groupDetails` (GroupDetails, optional) — Details for the group associated with this entity.
- `supplies` (Supplies, optional) — Contains relevant supply information for the entity, such as fuel.
- `orbit` (Orbit, optional) — Orbit information for space objects.
- `symbology` (Symbology, optional) — Symbology/iconography for the entity respecting an existing standard.

## Errors

### 400 Bad Request Error

Bad request

- `code` (string, required)
- `message` (string, required)

### 401 Unauthorized Error

Unauthorized to access resource

- `code` (string, required)
- `message` (string, required)

## Types

### Status

Contains status of entities.

- `platformActivity` (string, optional) — A string that describes the activity that the entity is performing. Examples include "RECONNAISSANCE", "INTERDICTION", "RETURN TO BASE (RTB)", "PREPARING FOR LAUNCH".
- `role` (string, optional) — A human-readable string that describes the role the entity is currently performing. E.g. "Team Member", "Commander".

### Location

Available for Entities that have a single or primary Location.

- `position` (Position, optional) — see Position definition for details.
- `velocityEnu` (ENU, optional) — Velocity in an ENU reference frame centered on the corresponding position. All units are meters per second.
- `speedMps` (double, optional) — Speed is the magnitude of velocity_enu vector [sqrt(e^2 + n^2 + u^2)] when present, measured in m/s.
- `acceleration` (ENU, optional) — The entity's acceleration in meters/s^2.
- `attitudeEnu` (Quaternion, optional) — quaternion to translate from entity body frame to it's ENU frame

### LocationUncertainty

Uncertainty of entity position and velocity, if available.

- `positionEnuCov` (EntityManager.TMat3, optional) — Positional covariance represented by the upper triangle of the covariance matrix. It is valid to populate only the diagonal of the matrix if the full covariance matrix is unknown.
- `velocityEnuCov` (EntityManager.TMat3, optional) — Velocity covariance represented by the upper triangle of the covariance matrix. It is valid to populate only the diagonal of the matrix if the full covariance matrix is unknown.
- `positionErrorEllipse` (ErrorEllipse, optional) — An ellipse that describes the certainty probability and error boundary for a given geolocation.

### Kinematics

Kinematics of the entity, including its location, location uncertainty, motion, attitude, and the time the kinematics were measured. Only one of the fields on this message is expected to be set when publishing an entity.

- `kinematicsGeodetic` (KinematicsGeodetic, optional) — Kinematics measured in a geodetic (WGS84 latitude/longitude/altitude and ENU) reference frame.
- `kinematicsGeocentric` (KinematicsGeocentric, optional) — Kinematics measured in a geocentric (ECEF) reference frame.

### GeoShape

A component that describes the shape of a geo-entity.

- `point` (GeoPoint, optional) — A point shaped geo-entity. See https://datatracker.ietf.org/doc/html/rfc7946#section-3.1.2
- `line` (GeoLine, optional) — A line shaped geo-entity. See https://datatracker.ietf.org/doc/html/rfc7946#section-3.1.4
- `polygon` (GeoPolygon, optional) — A polygon shaped geo-entity. See https://datatracker.ietf.org/doc/html/rfc7946#section-3.1.6, only canonical representations accepted
- `ellipse` (GeoEllipse, optional) — An ellipse shaped geo-entity. For a circle, the major and minor axis would be the same values. This shape is NOT Geo-JSON compatible.
- `ellipsoid` (GeoEllipsoid, optional) — An ellipsoid shaped geo-entity. Principal axis lengths are defined in entity body space This shape is NOT Geo-JSON compatible.

### GeoDetails

A component that describes a geo-entity.

- `type` (enum, optional)
  - Allowed values: `GEO_TYPE_INVALID`, `GEO_TYPE_GENERAL`, `GEO_TYPE_HAZARD`, `GEO_TYPE_EMERGENCY`, `GEO_TYPE_ENGAGEMENT_ZONE`, `GEO_TYPE_CONTROL_AREA`, `GEO_TYPE_BULLSEYE`, `GEO_TYPE_ACM`
- `controlArea` (ControlAreaDetails, optional) — Determines the type of control area being represented by the geo-entity, in which an asset can, or cannot, operate.
- `acm` (ACMDetails, optional)
- `visualDetails` (GeoVisualDetails, optional) — Details specific to displaying a geo-entity

### Aliases

Available for any Entities with alternate ids in other systems.

- `alternateIds` (list of AlternateId, optional)
- `name` (string, optional) — The best available version of the entity's display name.

### Tracked

Available for Entities that are tracked.

- `trackQualityWrapper` (integer, optional) — Quality score, 0-15, nil if none
- `sensorHits` (integer, optional) — Sensor hits aggregation on the tracked entity.
- `numberOfObjects` (UInt32Range, optional) — Estimated number of objects or units that are represented by this entity. Known as Strength in certain contexts (Link16) if UpperBound == LowerBound; (strength = LowerBound) If both UpperBound and LowerBound are defined; strength is between LowerBound and UpperBound (represented as string "Strength: 4-5") If UpperBound is defined only (LowerBound unset), Strength ≤ UpperBound If LowerBound is defined only (UpperBound unset), LowerBound ≤ Strength 0 indicates unset.
- `radarCrossSection` (double, optional) — The radar cross section (RCS) is a measure of how detectable an object is by radar. A large RCS indicates an object is more easily detected. The unit is “decibels per square meter,” or dBsm
- `lastMeasurementTime` (datetime, optional) — Timestamp of the latest tracking measurement for this entity.
- `lineOfBearing` (LineOfBearing, optional) — The relative position of a track with respect to the entity that is tracking it. Used for tracks that do not yet have a 3D position. For this entity (A), being tracked by some entity (B), this LineOfBearing would express a ray from B to A.

### Correlation

Available for Entities that are a correlated (N to 1) set of entities. This will be present on each entity in the set.

- `primary` (PrimaryCorrelation, optional) — This entity is the primary of a correlation meaning that it serves as the representative entity of the correlation set.
- `secondary` (SecondaryCorrelation, optional) — This entity is a secondary of a correlation meaning that it will be represented by the primary of the correlation set.
- `membership` (CorrelationMembership, optional) — If present, this entity is a part of a correlation set.
- `decorrelation` (Decorrelation, optional) — If present, this entity was explicitly decorrelated from one or more entities. An entity can be both correlated and decorrelated as long as they are disjoint sets. An example would be if a user in the UI decides that two tracks are not actually the same despite an automatic correlator having correlated them. The user would then decorrelate the two tracks and this decorrelation would be preserved preventing the correlator from re-correlating them at a later time.

### MilView

Provides the disposition, environment, and nationality of an Entity.

- `disposition` (enum, optional)
  - Allowed values: `DISPOSITION_UNKNOWN`, `DISPOSITION_FRIENDLY`, `DISPOSITION_HOSTILE`, `DISPOSITION_SUSPICIOUS`, `DISPOSITION_ASSUMED_FRIENDLY`, `DISPOSITION_NEUTRAL`, `DISPOSITION_PENDING`
- `environment` (enum, optional)
  - Allowed values: `ENVIRONMENT_UNKNOWN`, `ENVIRONMENT_AIR`, `ENVIRONMENT_SURFACE`, `ENVIRONMENT_SUB_SURFACE`, `ENVIRONMENT_LAND`, `ENVIRONMENT_SPACE`
- `nationality` (enum, optional)
  - Allowed values: `NATIONALITY_INVALID`, `NATIONALITY_ALBANIA`, `NATIONALITY_ALGERIA`, `NATIONALITY_ARGENTINA`, `NATIONALITY_ARMENIA`, `NATIONALITY_AUSTRALIA`, `NATIONALITY_AUSTRIA`, `NATIONALITY_AZERBAIJAN`, `NATIONALITY_BELARUS`, `NATIONALITY_BELGIUM`, `NATIONALITY_BOLIVIA`, `NATIONALITY_BOSNIA_AND_HERZEGOVINA`, `NATIONALITY_BRAZIL`, `NATIONALITY_BULGARIA`, `NATIONALITY_CAMBODIA`, `NATIONALITY_CANADA`, `NATIONALITY_CHILE`, `NATIONALITY_CHINA`, `NATIONALITY_COLOMBIA`, `NATIONALITY_CROATIA`, `NATIONALITY_CUBA`, `NATIONALITY_CYPRUS`, `NATIONALITY_CZECH_REPUBLIC`, `NATIONALITY_DEMOCRATIC_PEOPLES_REPUBLIC_OF_KOREA`, `NATIONALITY_DENMARK`, `NATIONALITY_DOMINICAN_REPUBLIC`, `NATIONALITY_ECUADOR`, `NATIONALITY_EGYPT`, `NATIONALITY_ESTONIA`, `NATIONALITY_ETHIOPIA`, `NATIONALITY_FINLAND`, `NATIONALITY_FRANCE`, `NATIONALITY_GEORGIA`, `NATIONALITY_GERMANY`, `NATIONALITY_GREECE`, `NATIONALITY_GUATEMALA`, `NATIONALITY_GUINEA`, `NATIONALITY_HUNGARY`, `NATIONALITY_ICELAND`, `NATIONALITY_INDIA`, `NATIONALITY_INDONESIA`, `NATIONALITY_INTERNATIONAL_RED_CROSS`, `NATIONALITY_IRAQ`, `NATIONALITY_IRELAND`, `NATIONALITY_ISLAMIC_REPUBLIC_OF_IRAN`, `NATIONALITY_ISRAEL`, `NATIONALITY_ITALY`, `NATIONALITY_JAMAICA`, `NATIONALITY_JAPAN`, `NATIONALITY_JORDAN`, `NATIONALITY_KAZAKHSTAN`, `NATIONALITY_KUWAIT`, `NATIONALITY_KYRGHYZ_REPUBLIC`, `NATIONALITY_LAO_PEOPLES_DEMOCRATIC_REPUBLIC`, `NATIONALITY_LATVIA`, `NATIONALITY_LEBANON`, `NATIONALITY_LIBERIA`, `NATIONALITY_LITHUANIA`, `NATIONALITY_LUXEMBOURG`, `NATIONALITY_MADAGASCAR`, `NATIONALITY_MALAYSIA`, `NATIONALITY_MALTA`, `NATIONALITY_MEXICO`, `NATIONALITY_MOLDOVA`, `NATIONALITY_MONTENEGRO`, `NATIONALITY_MOROCCO`, `NATIONALITY_MYANMAR`, `NATIONALITY_NATO`, `NATIONALITY_NETHERLANDS`, `NATIONALITY_NEW_ZEALAND`, `NATIONALITY_NICARAGUA`, `NATIONALITY_NIGERIA`, `NATIONALITY_NORWAY`, `NATIONALITY_PAKISTAN`, `NATIONALITY_PANAMA`, `NATIONALITY_PARAGUAY`, `NATIONALITY_PERU`, `NATIONALITY_PHILIPPINES`, `NATIONALITY_POLAND`, `NATIONALITY_PORTUGAL`, `NATIONALITY_REPUBLIC_OF_KOREA`, `NATIONALITY_ROMANIA`, `NATIONALITY_RUSSIA`, `NATIONALITY_SAUDI_ARABIA`, `NATIONALITY_SENEGAL`, `NATIONALITY_SERBIA`, `NATIONALITY_SINGAPORE`, `NATIONALITY_SLOVAKIA`, `NATIONALITY_SLOVENIA`, `NATIONALITY_SOUTH_AFRICA`, `NATIONALITY_SPAIN`, `NATIONALITY_SUDAN`, `NATIONALITY_SWEDEN`, `NATIONALITY_SWITZERLAND`, `NATIONALITY_SYRIAN_ARAB_REPUBLIC`, `NATIONALITY_TAIWAN`, `NATIONALITY_TAJIKISTAN`, `NATIONALITY_THAILAND`, `NATIONALITY_THE_FORMER_YUGOSLAV_REPUBLIC_OF_MACEDONIA`, `NATIONALITY_TUNISIA`, `NATIONALITY_TURKEY`, `NATIONALITY_TURKMENISTAN`, `NATIONALITY_UGANDA`, `NATIONALITY_UKRAINE`, `NATIONALITY_UNITED_KINGDOM`, `NATIONALITY_UNITED_NATIONS`, `NATIONALITY_UNITED_REPUBLIC_OF_TANZANIA`, `NATIONALITY_UNITED_STATES_OF_AMERICA`, `NATIONALITY_URUGUAY`, `NATIONALITY_UZBEKISTAN`, `NATIONALITY_VENEZUELA`, `NATIONALITY_VIETNAM`, `NATIONALITY_YEMEN`, `NATIONALITY_ZIMBABWE`

### Ontology

Ontology of the entity.

- `platformType` (string, optional) — A string that describes the entity's high-level type with natural language.
- `specificType` (string, optional) — A string that describes the entity's exact model or type.
- `template` (enum, optional) — The template used when creating this entity. Specifies minimum required components.
  - Allowed values: `TEMPLATE_INVALID`, `TEMPLATE_TRACK`, `TEMPLATE_SENSOR_POINT_OF_INTEREST`, `TEMPLATE_ASSET`, `TEMPLATE_GEO`, `TEMPLATE_SIGNAL_OF_INTEREST`

### Sensors

List of sensors available for an entity.

- `sensors` (list of Sensor, optional)

### Payloads

List of payloads available for an entity.

- `payloadConfigurations` (list of Payload, optional)

### PowerState

Represents the state of power sources connected to this entity.

- `sourceIdToState` (map from string to PowerSource, optional) — This is a map where the key is a unique id of the power source and the value is additional information about the power source.

### Provenance

Data provenance.

- `integrationName` (string, optional) — Name of the integration that produced this entity
- `dataType` (string, optional) — Source data type of this entity. Examples: ADSB, Link16, etc.
- `sourceId` (string, optional) — An ID that allows an element from a source to be uniquely identified
- `sourceUpdateTime` (datetime, optional) — The time, according to the source system, that the data in the entity was last modified. Generally, this should be the time that the source-reported time of validity of the data in the entity. This field must be updated with every change to the entity or else Entity Manager will discard the update.
- `sourceDescription` (string, optional) — Description of the modification source. In the case of a user this is the email address.

### Overrides

Metadata about entity overrides present.

- `override` (list of Override, optional)

### Indicators

Indicators to describe entity to consumers.

- `simulated` (boolean, optional)
- `exercise` (boolean, optional)
- `emergency` (boolean, optional)
- `c2` (boolean, optional)
- `egressable` (boolean, optional) — Indicates the Entity should be egressed to external sources. Integrations choose how the egressing happens (e.g. if an Entity needs fuzzing).
- `starred` (boolean, optional) — A signal of arbitrary importance such that the entity should be globally marked for all users

### TargetPriority

The target prioritization associated with an entity.

- `highValueTarget` (HighValueTarget, optional) — Describes the target priority in relation to high value target lists.
- `threat` (Threat, optional) — Describes whether the entity should be treated as a threat

### Signal

A component that describes an entity's signal characteristics.

- `frequencyCenter` (Frequency, optional) — A component for describing frequency.
- `frequencyRange` (FrequencyRange, optional) — A component to represent a frequency range.
- `bandwidthHz` (double, optional) — Indicates the bandwidth of a signal (Hz).
- `signalToNoiseRatio` (double, optional) — Indicates the signal to noise (SNR) of this signal.
- `lineOfBearing` (LineOfBearing, optional) — A line of bearing of a signal.
- `fixed` (Fixed, optional) — A fix of a signal. No extra fields but it is expected that location should be populated when using this report.
- `emitterNotations` (list of EmitterNotation, optional) — Emitter notations associated with this entity.
- `pulseWidthS` (double, optional) — length in time of a single pulse
- `pulseRepetitionInterval` (PulseRepetitionInterval, optional) — length in time between the start of two pulses
- `scanCharacteristics` (ScanCharacteristics, optional) — describes how a signal is observing the environment
- `receivedSignalStrengthDbm` (Measurement, optional) — Indicates the received signal strength (RSSI) of this signal in decibels relative to one milliwatt (dBm).

### TransponderCodes

A message describing any transponder codes associated with Mode 1, 2, 3, 4, 5, S, C interrogations.

- `mode1` (uint, optional) — The mode 1 code assigned to military assets.
- `mode2` (uint, optional) — The Mode 2 code assigned to military assets.
- `mode3` (uint, optional) — The Mode 3 code assigned by ATC to the asset.
- `mode4InterrogationResponse` (enum, optional) — The validity of the response from the Mode 4 interrogation.
  - Allowed values: `INTERROGATION_RESPONSE_INVALID`, `INTERROGATION_RESPONSE_CORRECT`, `INTERROGATION_RESPONSE_INCORRECT`, `INTERROGATION_RESPONSE_NO_RESPONSE`
- `mode5` (Mode5, optional) — The Mode 5 transponder codes.
- `modeS` (ModeS, optional) — The Mode S transponder codes.
- `modeCAltitudeFt` (integer, optional) — The Mode C altitude reported by the transponder in feet. Mode C provides pressure altitude in 100-foot increments up to 10,000 feet MSL. Valid altitudes include 0 ft (sea level). An unset field indicates no Mode C response was received.

### Classification

A component that describes an entity's security classification levels.

- `default` (ClassificationInformation, optional) — The default classification information which should be assumed to apply to everything in the entity unless a specific field level classification is present.
- `fields` (list of FieldClassificationInformation, optional) — The set of individual field classification information which should always precedence over the default classification information.

### TaskCatalog

Catalog of supported tasks.

- `taskDefinitions` (list of TaskDefinition, optional)

### Media

Media associated with an entity.

- `media` (list of MediaItem, optional)

### Relationships

The relationships between this entity and other entities in the common operational picture.

- `relationships` (list of Relationship, optional)

### VisualDetails

Visual details associated with the display of an entity in the client.

- `rangeRings` (RangeRings, optional) — The range rings to display around an entity.

### Dimensions

- `lengthM` (float, optional) — Length of the entity in meters

### RouteDetails

- `destinationName` (string, optional) — Free form text giving the name of the entity's destination
- `estimatedArrivalTime` (datetime, optional) — Estimated time of arrival at destination

### Schedules

Schedules associated with this entity

- `schedules` (list of Schedule, optional)

### Health

General health of the entity as reported by the entity.

- `connectionStatus` (enum, optional) — Status indicating whether the entity is able to communicate with Entity Manager.
  - Allowed values: `CONNECTION_STATUS_INVALID`, `CONNECTION_STATUS_ONLINE`, `CONNECTION_STATUS_OFFLINE`
- `healthStatus` (enum, optional) — Top-level health status; typically a roll-up of individual component healths.
  - Allowed values: `HEALTH_STATUS_INVALID`, `HEALTH_STATUS_HEALTHY`, `HEALTH_STATUS_WARN`, `HEALTH_STATUS_FAIL`, `HEALTH_STATUS_OFFLINE`, `HEALTH_STATUS_NOT_READY`
- `components` (list of ComponentHealth, optional) — Health of individual components running on this Entity.
- `updateTime` (datetime, optional) — The update time for the top-level health information. If this timestamp is unset, the data is assumed to be most recent
- `activeAlerts` (list of Alert, optional) — Active alerts indicate a critical change in system state sent by the asset that must be made known to an operator or consumer of the common operating picture. Alerts are different from ComponentHealth messages--an active alert does not necessarily indicate a component is in an unhealthy state. For example, an asset may trigger an active alert based on fuel levels running low. Alerts should be removed from this list when their conditions are cleared. In other words, only active alerts should be reported here.

### GroupDetails

Details related to grouping for this entity

- `team` (Team, optional) — Represents a team of agents
- `platformSubcomponents` (PlatformSubcomponents, optional) — Describes a PlatformSubcomponents group type. Comprised of entities which are subcomponents of the parent platform and the parent platform itself. Subcomponents are assumed to be positionally related to the parent group. relationship to a radar entity.
- `echelon` (Echelon, optional) — Describes a Echelon group type. Comprised of entities which are members of the same unit or echelon. Ex: A group of tanks within a armored company or that same company as a member of a battalion.

### Supplies

Represents the state of supplies associated with an entity (available but not in condition to use immediately)

- `munitions` (list of Munition, optional)
- `fuel` (list of Fuel, optional)

### Orbit

- `orbitMeanElements` (OrbitMeanElements, optional) — Orbit Mean Elements data, analogous to the Orbit Mean Elements Message in CCSDS 502.0-B-3

### Symbology

Symbology associated with an entity.

- `milStd2525C` (MilStd2525C, optional)

### Position

WGS84 position. Position includes four altitude references. The data model does not currently support Mean Sea Level (MSL) references, such as the Earth Gravitational Model 1996 (EGM-96) and the Earth Gravitational Model 2008 (EGM-08). If the only altitude reference available to your integration is MSL, convert it to Height Above Ellipsoid (HAE) and populate the altitude_hae_meters field.

- `latitudeDegrees` (double, optional) — WGS84 geodetic latitude in decimal degrees.
- `longitudeDegrees` (double, optional) — WGS84 longitude in decimal degrees.
- `altitudeHaeMeters` (double, optional) — altitude as height above ellipsoid (WGS84) in meters. DoubleValue wrapper is used to distinguish optional from default 0.
- `altitudeAglMeters` (double, optional) — Altitude as AGL (Above Ground Level) if the upstream data source has this value set. This value represents the entity's height above the terrain. This is typically measured with a radar altimeter or by using a terrain tile set lookup. If the value is not set from the upstream, this value is not set.
- `altitudeAsfMeters` (double, optional) — Altitude as ASF (Above Sea Floor) if the upstream data source has this value set. If the value is not set from the upstream, this value is not set.
- `pressureDepthMeters` (double, optional) — The depth of the entity from the surface of the water through sensor measurements based on differential pressure between the interior and exterior of the vessel. If the value is not set from the upstream, this value is not set.

### ENU

- `e` (double, optional)
- `n` (double, optional)
- `u` (double, optional)

### Quaternion

- `x` (double, optional) — x, y, z are vector portion, w is scalar
- `y` (double, optional)
- `z` (double, optional)
- `w` (double, optional)

### EntityManager.TMat3

Symmetric 3d matrix only representing the upper right triangle.

- `mxx` (float, optional)
- `mxy` (float, optional)
- `mxz` (float, optional)
- `myy` (float, optional)
- `myz` (float, optional)
- `mzz` (float, optional)

### ErrorEllipse

Indicates ellipse characteristics and probability that an entity lies within the defined ellipse.

- `probability` (double, optional) — Defines the probability in percentage that an entity lies within the given ellipse: 0-1.
- `semiMajorAxisM` (double, optional) — Defines the distance from the center point of the ellipse to the furthest distance on the perimeter in meters.
- `semiMinorAxisM` (double, optional) — Defines the distance from the center point of the ellipse to the shortest distance on the perimeter in meters.
- `orientationD` (double, optional) — The orientation of the semi-major relative to true north in degrees from clockwise: 0-180 due to symmetry across the semi-minor axis.

### KinematicsGeodetic

- `location` (LocationGeodetic, optional) — The location of this entity.
- `locationUncertaintyEnu` (TMat3, optional) — Location uncertainty of this measurement, measured in the ENU frame. When there are multiple altitude measurements, this represents the most certain.
- `velocityEnuMPerS` (Vec3, optional) — Velocity in the ENU frame, measured in meters per second.
- `velocityUncertaintyEnu` (TMat3, optional) — A 3x3 covariance matrix representing the uncertainty of the velocity measurement.
- `accelerationMPerS2` (Vec3, optional) — The entity's acceleration in meters per second squared.
- `attitudeEnu` (Quaternion, optional) — Quaternion that rotates the X unit vector in the entity's body frame (assumed to be front-left-up) [1,0,0] to the entity's orientation unit vector in the ENU frame at the entity's location.
- `measurementTime` (datetime, optional) — The time when these kinematics were measured by the sensor. For tracks, this represents when the sensor made the observation that produced these kinematics. For asset pose data, this represents the system time when the pose was captured.

### KinematicsGeocentric

- `location` (LocationGeocentricECEF, optional) — The location of the entity, measured in the ECEF reference frame.
- `locationUncertaintyEcef` (TMat3, optional) — Location uncertainty of this measurement, measured in the ECEF frame.
- `velocityEcefMPerS` (Vec3, optional) — Velocity in the ECEF frame, measured in meters per second.
- `velocityUncertaintyEcef` (TMat3, optional) — A 3x3 covariance matrix representing the uncertainty of the velocity measurement.
- `accelerationMPerS2` (Vec3, optional) — The entity's acceleration in meters per second squared.
- `attitudeEcef` (Quaternion, optional) — Quaternion that rotates the X unit vector in the entity's body frame (assumed to be front-left-up) [1,0,0] to the entity's orientation unit vector in the ECEF frame at the entity's location.
- `measurementTime` (datetime, optional) — The time when these kinematics were measured by the sensor. For tracks, this represents when the sensor made the observation that produced these kinematics. For asset pose data, this represents the system time when the pose was captured.

### GeoPoint

A point shaped geo-entity. See https://datatracker.ietf.org/doc/html/rfc7946#section-3.1.2

- `position` (Position, optional) — WGS84 position. Position includes four altitude references. The data model does not currently support Mean Sea Level (MSL) references, such as the Earth Gravitational Model 1996 (EGM-96) and the Earth Gravitational Model 2008 (EGM-08). If the only altitude reference available to your integration is MSL, convert it to Height Above Ellipsoid (HAE) and populate the altitude_hae_meters field.

### GeoLine

A line shaped geo-entity. See https://datatracker.ietf.org/doc/html/rfc7946#section-3.1.4

- `positions` (list of Position, optional)

### GeoPolygon

A polygon shaped geo-entity. See https://datatracker.ietf.org/doc/html/rfc7946#section-3.1.6, only canonical representations accepted

- `rings` (list of LinearRing, optional) — An array of LinearRings where the first item is the exterior ring and subsequent items are interior rings.
- `isRectangle` (boolean, optional) — An extension hint that this polygon is a rectangle. When true this implies several things: * exactly 1 linear ring with 5 points (starting corner, 3 other corners and start again) * each point has the same altitude corresponding with the plane of the rectangle * each point has the same height (either all present and equal, or all not present)

### GeoEllipse

An ellipse shaped geo-entity. For a circle, the major and minor axis would be the same values. This shape is NOT Geo-JSON compatible.

- `semiMajorAxisM` (double, optional) — Defines the distance from the center point of the ellipse to the furthest distance on the perimeter in meters.
- `semiMinorAxisM` (double, optional) — Defines the distance from the center point of the ellipse to the shortest distance on the perimeter in meters.
- `orientationD` (double, optional) — The orientation of the semi-major relative to true north in degrees from clockwise: 0-180 due to symmetry across the semi-minor axis.
- `heightM` (double, optional) — Optional height above entity position to extrude in meters. A non-zero value creates an elliptic cylinder

### GeoEllipsoid

An ellipsoid shaped geo-entity. Principal axis lengths are defined in entity body space This shape is NOT Geo-JSON compatible.

- `forwardAxisM` (double, optional) — Defines the distance from the center point to the surface along the forward axis
- `sideAxisM` (double, optional) — Defines the distance from the center point to the surface along the side axis
- `upAxisM` (double, optional) — Defines the distance from the center point to the surface along the up axis

### ControlAreaDetails

Determines the type of control area being represented by the geo-entity, in which an asset can, or cannot, operate.

- `type` (enum, optional)
  - Allowed values: `CONTROL_AREA_TYPE_INVALID`, `CONTROL_AREA_TYPE_KEEP_IN_ZONE`, `CONTROL_AREA_TYPE_KEEP_OUT_ZONE`, `CONTROL_AREA_TYPE_DITCH_ZONE`, `CONTROL_AREA_TYPE_LOITER_ZONE`

### ACMDetails

- `acmType` (enum, optional)
  - Allowed values: `ACM_DETAIL_TYPE_INVALID`, `ACM_DETAIL_TYPE_LANDING_ZONE`
- `acmDescription` (string, optional) — Used for loosely typed associations, such as assignment to a specific fires unit. Limit to 150 characters.

### GeoVisualDetails

Details specific to displaying a geo-entity

- `fillColor` (Color, optional) — Describes the fill color of a geo-entity.
- `lineColor` (Color, optional) — Describes the line color of a geo-entity.

### AlternateId

An alternate id for an Entity.

- `id` (string, optional)
- `type` (enum, optional)
  - Allowed values: `ALT_ID_TYPE_INVALID`, `ALT_ID_TYPE_TRACK_ID_2`, `ALT_ID_TYPE_TRACK_ID_1`, `ALT_ID_TYPE_SPI_ID`, `ALT_ID_TYPE_NITF_FILE_TITLE`, `ALT_ID_TYPE_TRACK_REPO_ALERT_ID`, `ALT_ID_TYPE_ASSET_ID`, `ALT_ID_TYPE_LINK16_TRACK_NUMBER`, `ALT_ID_TYPE_LINK16_JU`, `ALT_ID_TYPE_NCCT_MESSAGE_ID`, `ALT_ID_TYPE_CALLSIGN`, `ALT_ID_TYPE_MMSI_ID`, `ALT_ID_TYPE_VMF_URN`, `ALT_ID_TYPE_IMO_ID`, `ALT_ID_TYPE_VMF_TARGET_NUMBER`, `ALT_ID_TYPE_SERIAL_NUMBER`, `ALT_ID_TYPE_REGISTRATION_ID`, `ALT_ID_TYPE_IBS_GID`, `ALT_ID_TYPE_DODAAC`, `ALT_ID_TYPE_UIC`, `ALT_ID_TYPE_NORAD_CAT_ID`, `ALT_ID_TYPE_UNOOSA_NAME`, `ALT_ID_TYPE_UNOOSA_ID`

### UInt32Range

- `lowerBound` (uint, optional)
- `upperBound` (uint, optional)

### LineOfBearing

A line of bearing of a signal.

- `angleOfArrival` (AngleOfArrival, optional) — The direction pointing from this entity to the detection
- `rangeEstimateM` (Measurement, optional) — The estimated distance of the detection
- `maxRangeM` (Measurement, optional) — The maximum distance of the detection

### PrimaryCorrelation

- `secondaryEntityIds` (list of string, optional) — The secondary entity IDs part of this correlation.

### SecondaryCorrelation

- `primaryEntityId` (string, optional) — The primary of this correlation.
- `metadata` (CorrelationMetadata, optional) — Metadata about the correlation.

### CorrelationMembership

- `correlationSetId` (string, optional) — The ID of the correlation set this entity belongs to.
- `primary` (PrimaryMembership, optional) — This entity is the primary of a correlation set meaning that it serves as the representative entity of the correlation set.
- `nonPrimary` (NonPrimaryMembership, optional) — This entity is not the primary of the correlation set. Note that there may not be a primary at all.
- `metadata` (CorrelationMetadata, optional) — Additional metadata on this correlation.

### Decorrelation

- `all` (DecorrelatedAll, optional) — This will be specified if this entity was decorrelated against all other entities.
- `decorrelatedEntities` (list of DecorrelatedSingle, optional) — A list of decorrelated entities that have been explicitly decorrelated against this entity which prevents lower precedence correlations from overriding it in the future. For example, if an operator in the UI decorrelated tracks A and B, any automated correlators would be unable to correlate them since manual decorrelations have higher precedence than automatic ones. Precedence is determined by both correlation type and replication mode.

### Sensor

Individual sensor configuration.

- `sensorId` (string, optional) — This generally is used to indicate a specific type at a more detailed granularity. E.g. COMInt or LWIR
- `operationalState` (enum, optional)
  - Allowed values: `OPERATIONAL_STATE_INVALID`, `OPERATIONAL_STATE_OFF`, `OPERATIONAL_STATE_NON_OPERATIONAL`, `OPERATIONAL_STATE_DEGRADED`, `OPERATIONAL_STATE_OPERATIONAL`, `OPERATIONAL_STATE_DENIED`
- `sensorType` (enum, optional) — The type of sensor
  - Allowed values: `SENSOR_TYPE_INVALID`, `SENSOR_TYPE_RADAR`, `SENSOR_TYPE_CAMERA`, `SENSOR_TYPE_TRANSPONDER`, `SENSOR_TYPE_RF`, `SENSOR_TYPE_GPS`, `SENSOR_TYPE_PTU_POS`, `SENSOR_TYPE_PERIMETER`, `SENSOR_TYPE_SONAR`
- `sensorDescription` (string, optional) — A human readable description of the sensor
- `rfConfiguraton` (RFConfiguration, optional) — RF configuration details of the sensor
- `lastDetectionTimestamp` (datetime, optional) — Time of the latest detection from the sensor
- `fieldsOfView` (list of FieldOfView, optional) — Multiple fields of view for a single sensor component

### Payload

Individual payload configuration.

- `config` (PayloadConfiguration, optional)

### PowerSource

Represents the state of a single power source that is connected to this entity.

- `powerStatus` (enum, optional) — Status of the power source.
  - Allowed values: `POWER_STATUS_INVALID`, `POWER_STATUS_UNKNOWN`, `POWER_STATUS_NOT_PRESENT`, `POWER_STATUS_OPERATING`, `POWER_STATUS_DISABLED`, `POWER_STATUS_ERROR`
- `powerType` (enum, optional) — Used to determine the type of power source.
  - Allowed values: `POWER_TYPE_INVALID`, `POWER_TYPE_UNKNOWN`, `POWER_TYPE_GAS`, `POWER_TYPE_BATTERY`
- `powerLevel` (PowerLevel, optional) — Power level of the system. If absent, the power level is assumed to be unknown.
- `messages` (list of string, optional) — Set of human-readable messages with status of the power system. Typically this would be used in an error state to provide additional error information. This can also be used for informational messages.
- `offloadable` (boolean, optional) — Whether the power source is offloadable. If the value is missing (as opposed to false) then the entity does not report whether the power source is offloadable.

### Override

Details about an override. Last write wins.

- `requestId` (string, optional) — override request id for an override request
- `fieldPath` (string, optional) — proto field path which is the string representation of a field. example: correlated.primary_entity_id would be primary_entity_id in correlated component
- `maskedFieldValue` (Entity, optional) — new field value corresponding to field path. In the shape of an empty entity with only the changed value. example: entity: \{ mil\_view: \{ disposition: Disposition\_DISPOSITION\_HOSTILE } }
- `status` (enum, optional) — status of the override
  - Allowed values: `OVERRIDE_STATUS_INVALID`, `OVERRIDE_STATUS_APPLIED`, `OVERRIDE_STATUS_PENDING`, `OVERRIDE_STATUS_TIMEOUT`, `OVERRIDE_STATUS_REJECTED`, `OVERRIDE_STATUS_DELETION_PENDING`
- `provenance` (Provenance, optional) — Data provenance.
- `type` (enum, optional) — The type of the override, defined by the stage of the entity lifecycle that the entity was in when the override was requested.
  - Allowed values: `OVERRIDE_TYPE_INVALID`, `OVERRIDE_TYPE_LIVE`, `OVERRIDE_TYPE_POST_EXPIRY`
- `requestTimestamp` (datetime, optional) — Timestamp of the override request. The timestamp is generated by the Entity Manager instance that receives the request.

### HighValueTarget

Describes whether something is a high value target or not.

- `isHighValueTarget` (boolean, optional) — Indicates whether the target matches any description from a high value target list.
- `targetPriority` (uint, optional) — The priority associated with the target. If the target's description appears on multiple high value target lists, the priority will be a reflection of the highest priority of all of those list's target description. A lower value indicates the target is of a higher priority, with 1 being the highest possible priority. A value of 0 indicates there is no priority associated with this target.
- `targetMatches` (list of HighValueTargetMatch, optional) — All of the high value target descriptions that the target matches against.
- `isHighPayoffTarget` (boolean, optional) — Indicates whether the target is a 'High Payoff Target'. Targets can be one or both of high value and high payoff.

### Threat

Describes whether an entity is a threat or not.

- `isThreat` (boolean, optional) — Indicates that the entity has been determined to be a threat.

### Frequency

A component for describing frequency.

- `frequencyHz` (Measurement, optional) — Indicates a frequency of a signal (Hz) with its standard deviation.

### FrequencyRange

A component to represent a frequency range.

- `minimumFrequencyHz` (Frequency, optional) — Indicates the lowest measured frequency of a signal (Hz).
- `maximumFrequencyHz` (Frequency, optional) — Indicates the maximum measured frequency of a signal (Hz).

### Fixed

A fix of a signal. No extra fields but it is expected that location should be populated when using this report.

### EmitterNotation

A representation of a single emitter notation.

- `emitterNotation` (string, optional)
- `confidence` (double, optional) — confidence as a percentage that the emitter notation in this component is accurate

### PulseRepetitionInterval

A component that describe the length in time between two pulses

- `pulseRepetitionIntervalS` (Measurement, optional) — A component that describes some measured value with error.

### ScanCharacteristics

A component that describes the scanning characteristics of a signal

- `scanType` (enum, optional)
  - Allowed values: `SCAN_TYPE_INVALID`, `SCAN_TYPE_CIRCULAR`, `SCAN_TYPE_BIDIRECTIONAL_HORIZONTAL_SECTOR`, `SCAN_TYPE_BIDIRECTIONAL_VERTICAL_SECTOR`, `SCAN_TYPE_NON_SCANNING`, `SCAN_TYPE_IRREGULAR`, `SCAN_TYPE_CONICAL`, `SCAN_TYPE_LOBE_SWITCHING`, `SCAN_TYPE_RASTER`, `SCAN_TYPE_CIRCULAR_VERTICAL_SECTOR`, `SCAN_TYPE_CIRCULAR_CONICAL`, `SCAN_TYPE_SECTOR_CONICAL`, `SCAN_TYPE_AGILE_BEAM`, `SCAN_TYPE_UNIDIRECTIONAL_VERTICAL_SECTOR`, `SCAN_TYPE_UNIDIRECTIONAL_HORIZONTAL_SECTOR`, `SCAN_TYPE_UNIDIRECTIONAL_SECTOR`, `SCAN_TYPE_BIDIRECTIONAL_SECTOR`
- `scanPeriodS` (double, optional)

### Measurement

A component that describes some measured value with error.

- `value` (double, optional) — The value of the measurement.
- `sigma` (double, optional) — Estimated one standard deviation in same unit as the value.

### Mode5

Describes the Mode 5 transponder interrogation status and codes.

- `mode5InterrogationResponse` (enum, optional) — The validity of the response from the Mode 5 interrogation.
  - Allowed values: `INTERROGATION_RESPONSE_INVALID`, `INTERROGATION_RESPONSE_CORRECT`, `INTERROGATION_RESPONSE_INCORRECT`, `INTERROGATION_RESPONSE_NO_RESPONSE`
- `mode5` (uint, optional) — The Mode 5 code assigned to military assets.
- `mode5PlatformId` (uint, optional) — The Mode 5 platform identification code.

### ModeS

Describes the Mode S codes.

- `id` (string, optional) — Mode S identifier which comprises of 8 alphanumeric characters.
- `address` (uint, optional) — The Mode S ICAO aircraft address. Expected values are between 1 and 16777214 decimal. The Mode S address is considered unique.

### ClassificationInformation

Represents all of the necessary information required to generate a summarized classification marking. > example: A summarized classification marking of "TOPSECRET//NOFORN//FISA" > would be defined as: \{ "level": 5, "caveats": \[ "NOFORN, "FISA" ] }

- `level` (enum, optional) — Classification level to be applied to the information in question.
  - Allowed values: `CLASSIFICATION_LEVELS_INVALID`, `CLASSIFICATION_LEVELS_UNCLASSIFIED`, `CLASSIFICATION_LEVELS_CONTROLLED_UNCLASSIFIED`, `CLASSIFICATION_LEVELS_CONFIDENTIAL`, `CLASSIFICATION_LEVELS_SECRET`, `CLASSIFICATION_LEVELS_TOP_SECRET`
- `caveats` (list of string, optional) — Caveats that may further restrict how the information can be disseminated.

### FieldClassificationInformation

A field specific classification information definition.

- `fieldPath` (string, optional) — Proto field path which is the string representation of a field. > example: signal.bandwidth_hz would be bandwidth_hz in the signal component
- `classificationInformation` (ClassificationInformation, optional) — The information which makes up the field level classification marking.

### TaskDefinition

Defines a supported task by the task specification URL of its "Any" type.

- `taskSpecificationUrl` (string, optional) — Url path must be prefixed with `type.googleapis.com/`.

### MediaItem

- `itemIdentifier` (string, optional) — A unique identifier for this mediaItem.
- `type` (enum, optional) — The type of media for this item.
  - Allowed values: `MEDIA_TYPE_INVALID`, `MEDIA_TYPE_IMAGE`, `MEDIA_TYPE_VIDEO`
- `relativePath` (string, optional) — The path, relative to the environment base URL, where media related to an entity can be accessed

### Relationship

The relationship component indicates a relationship to another entity.

- `relatedEntityId` (string, optional) — The entity ID to which this entity is related.
- `relationshipId` (string, optional) — A unique identifier for this relationship. Allows removing or updating relationships.
- `relationshipType` (RelationshipType, optional) — The relationship type

### RangeRings

Range rings allow visual assessment of map distance at varying zoom levels.

- `minDistanceM` (double, optional) — The minimum range ring distance, specified in meters.
- `maxDistanceM` (double, optional) — The maximum range ring distance, specified in meters.
- `ringCount` (uint, optional) — The count of range rings.
- `ringLineColor` (Color, optional) — The color of range rings, specified in hex string.

### Schedule

A Schedule associated with this entity

- `windows` (list of CronWindow, optional) — expression that represents this schedule's "ON" state
- `scheduleId` (string, optional) — A unique identifier for this schedule.
- `scheduleType` (enum, optional) — The schedule type
  - Allowed values: `SCHEDULE_TYPE_INVALID`, `SCHEDULE_TYPE_ZONE_ENABLED`, `SCHEDULE_TYPE_ZONE_TEMP_ENABLED`

### ComponentHealth

Health of an individual component.

- `id` (string, optional) — Consistent internal ID for this component.
- `name` (string, optional) — Display name for this component.
- `health` (enum, optional) — Health for this component.
  - Allowed values: `HEALTH_STATUS_INVALID`, `HEALTH_STATUS_HEALTHY`, `HEALTH_STATUS_WARN`, `HEALTH_STATUS_FAIL`, `HEALTH_STATUS_OFFLINE`, `HEALTH_STATUS_NOT_READY`
- `messages` (list of ComponentMessage, optional) — Human-readable describing the component state. These messages should be understandable by end users.
- `updateTime` (datetime, optional) — The last update time for this specific component. If this timestamp is unset, the data is assumed to be most recent

### Alert

An alert informs operators of critical events related to system performance and mission execution. An alert is produced as a result of one or more alert conditions.

- `alertCode` (string, optional) — Short, machine-readable code that describes this alert. This code is intended to provide systems off-asset with a lookup key to retrieve more detailed information about the alert.
- `description` (string, optional) — Human-readable description of this alert. The description is intended for display in the UI for human understanding and should not be used for machine processing. If the description is fixed and the vehicle controller provides no dynamic substitutions, then prefer lookup based on alert_code.
- `level` (enum, optional) — Alert level (Warning, Caution, or Advisory).
  - Allowed values: `ALERT_LEVEL_INVALID`, `ALERT_LEVEL_ADVISORY`, `ALERT_LEVEL_CAUTION`, `ALERT_LEVEL_WARNING`
- `activatedTime` (datetime, optional) — Time at which this alert was activated.
- `activeConditions` (list of AlertCondition, optional) — Set of conditions which have activated this alert.

### Team

Represents a team of agents

- `entityId` (string, optional) — Entity ID of the team
- `members` (list of Agent, optional)

### PlatformSubcomponents

Describes a PlatformSubcomponents group type. Comprised of entities which are subcomponents of the parent platform and the parent platform itself. Subcomponents are assumed to be positionally related to the parent group. relationship to a radar entity.

### Echelon

Describes a Echelon group type. Comprised of entities which are members of the same unit or echelon. Ex: A group of tanks within a armored company or that same company as a member of a battalion.

- `armyEchelon` (enum, optional)
  - Allowed values: `ARMY_ECHELON_INVALID`, `ARMY_ECHELON_FIRE_TEAM`, `ARMY_ECHELON_SQUAD`, `ARMY_ECHELON_PLATOON`, `ARMY_ECHELON_COMPANY`, `ARMY_ECHELON_BATTALION`, `ARMY_ECHELON_REGIMENT`, `ARMY_ECHELON_BRIGADE`, `ARMY_ECHELON_DIVISION`, `ARMY_ECHELON_CORPS`, `ARMY_ECHELON_ARMY`

### Munition

Munition describes an entity's munitions stores

- `munitionId` (string, optional) — Unique munition identifier
- `name` (string, optional) — Long form name of the munition
- `quantityUnits` (uint, optional) — Number of units

### Fuel

Fuel describes an entity's repository of fuels stores including current amount, operational requirements, and maximum authorized capacity

- `fuelId` (string, optional) — Unique fuel identifier
- `name` (string, optional) — Long form name of the fuel source.
- `reportedDate` (datetime, optional) — Timestamp the information was reported
- `amountGallons` (uint, optional) — Amount of gallons on hand
- `maxAuthorizedCapacityGallons` (uint, optional) — How much the asset is allowed to have available (in gallons)
- `operationalRequirementGallons` (uint, optional) — Minimum required for operations (in gallons)
- `dataClassification` (Classification, optional) — Fuel in a single asset may have different levels of classification Use case: fuel for a SECRET asset while diesel fuel may be UNCLASSIFIED
- `dataSource` (string, optional) — Source of information

### OrbitMeanElements

Orbit Mean Elements data, analogous to the Orbit Mean Elements Message in CCSDS 502.0-B-3

- `metadata` (OrbitMeanElementsMetadata, optional)
- `meanKeplerianElements` (MeanKeplerianElements, optional)
- `tleParameters` (TleParameters, optional)

### MilStd2525C

- `sidc` (string, optional)

### LocationGeodetic

Geodetic location measurement in reference to the WGS84 ellipsoid. This also optionally provides other altitude reference frames.

- `latitudeDegrees` (double, optional) — WGS84 latitude in decimal degrees.
- `longitudeDegrees` (double, optional) — WGS84 longitude in decimal degrees.
- `universalAltitudeHae` (AltitudeAboveWGS84Ellipsoid, optional) — Altitude measurement in reference to the WGS84 defined ellipsoid. This is expected to always be set if an altitude measurement is available and should be derived from the most accurate altitude measurement available. If this is a 2D measurement, then this message should not be set. If you are unable to calculate this value, then this message should also not be set.
- `additionalAltitudes` (list of Altitude, optional) — This allows for multiple additional altitudes to be conveyed. e.g. Barometric Pressure and Radar Altimeter readings for an aircraft

### TMat3

A symmetric 3D matrix only representing the upper right triangle, useful for covariance matrices.

- `mxx` (double, optional)
- `mxy` (double, optional)
- `mxz` (double, optional)
- `myy` (double, optional)
- `myz` (double, optional)
- `mzz` (double, optional)

### Vec3

- `x` (double, optional)
- `y` (double, optional)
- `z` (double, optional)

### LocationGeocentricECEF

Location measurement in reference to the center of the earth using the ECEF coordinate system. This is in the WGS84 coordinate frame.

- `xMeters` (double, optional) — The plane of the equator, passing through extending from 90°W longitude (negative) to 90°E longitude (positive).
- `yMeters` (double, optional) — The plane of the equator, passing through the origin and extending from 180° longitude (negative) to the prime meridian.
- `zMeters` (double, optional) — The line between the North and South Poles, with positive values increasing northward.

### LinearRing

A closed ring of points. The first and last point must be the same.

- `positions` (list of GeoPolygonPosition, optional)

### Color

- `red` (float, optional) — The amount of red in the color as a value in the interval [0, 255].
- `green` (float, optional) — The amount of green in the color as a value in the interval [0, 255].
- `blue` (float, optional) — The amount of blue in the color as a value in the interval [0, 255].
- `alpha` (float, optional) — The fraction of this color that should be applied to the pixel. That is, the final pixel color is defined by the equation: `pixel color = alpha * (this color) + (1.0 - alpha) * (background color)` This means that a value of 1.0 corresponds to a solid color, whereas a value of 0.0 corresponds to a completely transparent color. This uses a wrapper message rather than a simple float scalar so that it is possible to distinguish between a default value and the value being unset. If omitted, this color object is rendered as a solid color (as if the alpha value had been explicitly given a value of 1.0).

### AngleOfArrival

The direction from which the signal is received

- `relativePose` (Pose, optional) — Origin (LLA) and attitude (relative to ENU) of a ray pointing towards the detection. The attitude represents a forward-left-up (FLU) frame where the x-axis (1, 0, 0) is pointing towards the target.
- `bearingElevationCovarianceRad2` (TMat2, optional) — Bearing/elevation covariance matrix where bearing is defined in radians CCW+ about the z-axis from the x-axis of FLU frame and elevation is positive down from the FL/XY plane. mxx = bearing variance in rad^2 mxy = bearing/elevation covariance in rad^2 myy = elevation variance in rad^2

### CorrelationMetadata

- `provenance` (Provenance, optional) — Who or what added this entity to the (de)correlation.
- `replicationMode` (enum, optional) — Indicates how the correlation will be distributed. Because a correlation is composed of multiple secondaries, each of which may have been correlated with different replication modes, the distribution of the correlation is composed of distributions of the individual entities within the correlation set. For example, if there are two secondary entities A and B correlated against a primary C, with A having been correlated globally and B having been correlated locally, then the correlation set that is distributed globally than what is known locally in the node.
  - Allowed values: `CORRELATION_REPLICATION_MODE_INVALID`, `CORRELATION_REPLICATION_MODE_LOCAL`, `CORRELATION_REPLICATION_MODE_GLOBAL`
- `type` (enum, optional) — What type of (de)correlation was this entity added with.
  - Allowed values: `CORRELATION_TYPE_INVALID`, `CORRELATION_TYPE_MANUAL`, `CORRELATION_TYPE_AUTOMATED`

### PrimaryMembership

### NonPrimaryMembership

### DecorrelatedAll

- `metadata` (CorrelationMetadata, optional) — Metadata about the decorrelation.

### DecorrelatedSingle

- `entityId` (string, optional) — The entity that was decorrelated against.
- `metadata` (CorrelationMetadata, optional) — Metadata about the decorrelation.

### RFConfiguration

Represents RF configurations supported on this sensor.

- `frequencyRangeHz` (list of FrequencyRange, optional) — Frequency ranges that are available for this sensor.
- `bandwidthRangeHz` (list of BandwidthRange, optional) — Bandwidth ranges that are available for this sensor.

### FieldOfView

Sensor Field Of View closely resembling fov.proto SensorFieldOfView.

- `fovId` (integer, optional) — The Id for one instance of a FieldOfView, persisted across multiple updates to provide continuity during smoothing. This is relevant for sensors where the dwell schedule is on the order of milliseconds, making multiple FOVs a requirement for proper display of search beams.
- `mountId` (string, optional) — The Id of the mount the sensor is on.
- `projectedFrustum` (ProjectedFrustum, optional) — The field of view the sensor projected onto the ground.
- `projectedCenterRay` (Position, optional) — Center ray of the frustum projected onto the ground.
- `centerRayPose` (EntityManager.Pose, optional) — The origin and direction of the center ray for this sensor relative to the ENU frame. A ray which is aligned with the positive X axis in the sensor frame will be transformed into the ray along the sensor direction in the ENU frame when transformed by the quaternion contained in this pose.
- `horizontalFov` (float, optional) — Horizontal field of view in radians.
- `verticalFov` (float, optional) — Vertical field of view in radians.
- `range` (float, optional) — Sensor range in meters.
- `mode` (enum, optional) — The mode that this sensor is currently in, used to display for context in the UI. Some sensors can emit multiple sensor field of views with different modes, for example a radar can simultaneously search broadly and perform tighter bounded tracking.
  - Allowed values: `SENSOR_MODE_INVALID`, `SENSOR_MODE_SEARCH`, `SENSOR_MODE_TRACK`, `SENSOR_MODE_WEAPON_SUPPORT`, `SENSOR_MODE_AUTO`, `SENSOR_MODE_MUTE`

### PayloadConfiguration

- `capabilityId` (string, optional) — Identifying ID for the capability. This ID may be used multiple times to represent payloads that are the same capability but have different operational states
- `quantity` (uint, optional) — The number of payloads currently available in the configuration.
- `effectiveEnvironment` (list of enum, optional) — The target environments the configuration is effective against.
  - Allowed values: `ENVIRONMENT_UNKNOWN`, `ENVIRONMENT_AIR`, `ENVIRONMENT_SURFACE`, `ENVIRONMENT_SUB_SURFACE`, `ENVIRONMENT_LAND`, `ENVIRONMENT_SPACE`
- `payloadOperationalState` (enum, optional) — The operational state of this payload.
  - Allowed values: `PAYLOAD_OPERATIONAL_STATE_INVALID`, `PAYLOAD_OPERATIONAL_STATE_OFF`, `PAYLOAD_OPERATIONAL_STATE_NON_OPERATIONAL`, `PAYLOAD_OPERATIONAL_STATE_DEGRADED`, `PAYLOAD_OPERATIONAL_STATE_OPERATIONAL`, `PAYLOAD_OPERATIONAL_STATE_OUT_OF_SERVICE`, `PAYLOAD_OPERATIONAL_STATE_UNKNOWN`
- `payloadDescription` (string, optional) — A human readable description of the payload

### PowerLevel

Represents the power level of a system.

- `capacity` (float, optional) — Total power capacity of the system.
- `remaining` (float, optional) — Remaining power capacity of the system.
- `percentRemaining` (float, optional) — Percent of power remaining.
- `voltage` (double, optional) — Voltage of the power source subsystem, as reported by the power source. If the source does not report this value this field will be null.
- `currentAmps` (double, optional) — Current in amps of the power source subsystem, as reported by the power source. If the source does not report this value this field will be null.
- `runTimeToEmptyMins` (double, optional) — Estimated minutes until empty. Calculated with consumption at the moment, as reported by the power source. If the source does not report this value this field will be null.
- `consumptionRateLPerS` (double, optional) — Fuel consumption rate in liters per second.

### Entity

The entity object represents a single known object within the Lattice operational environment. It contains all data associated with the entity, such as its name, ID, and other relevant components.

- `entityId` (string, optional) — A Globally Unique Identifier (GUID) for your entity. This is a required field.
- `description` (string, optional) — A human-readable entity description that's helpful for debugging purposes and human traceability. If this field is empty, the Entity Manager API generates one for you.
- `isLive` (boolean, optional) — Indicates the entity is active and should have a lifecycle state of CREATE or UPDATE. Set this field to true when publishing an entity.
- `createdTime` (datetime, optional) — The time when the entity was first known to the entity producer. If this field is empty, the Entity Manager API uses the current timestamp of when the entity is first received. For example, when a drone is first powered on, it might report its startup time as the created time. The timestamp doesn't change for the lifetime of an entity.
- `expiryTime` (datetime, optional) — Future time that expires an entity and updates the is_live flag. For entities that are constantly updating, the expiry time also updates. In some cases, this may differ from is_live. Example: Entities with tasks exported to an external system must remain active even after they expire. This field is required when publishing a prepopulated entity. The expiry time must be in the future, but less than 30 days from the current time.
- `noExpiry` (boolean, optional) — Use noExpiry only when the entity contains information that should be available to other tasks or integrations beyond its immediate operational context. For example, use noExpiry for long-living geographical entities that maintain persistent relevance across multiple operations or tasks.
- `status` (Status, optional) — Human-readable descriptions of what the entity is currently doing.
- `location` (Location, optional) — Geospatial data related to the entity, including its position, kinematics, and orientation. Populate either this field (and `location_uncertainty`) or `kinematics`, not both. Populating both can lead to conflicting or inconsistent kinematics data for the entity.
- `locationUncertainty` (LocationUncertainty, optional) — Indicates uncertainty of the entity's position and kinematics.
- `kinematics` (Kinematics, optional) — Kinematics data related to the entity to a higher degree of granularity than Location. This is preferred for Track Entities. Populate either `location`/`location_uncertainty` or this field, not both. Populating both can lead to conflicting or inconsistent kinematics data for the entity.
- `geoShape` (GeoShape, optional) — Geospatial representation of the entity, including entities that cover an area rather than a fixed point.
- `geoDetails` (GeoDetails, optional) — Additional details on what the geospatial area or point represents, along with visual display details.
- `aliases` (Aliases, optional) — Entity name displayed in the Lattice UI side panel. Also includes identifiers that other systems can use to reference the same entity.
- `tracked` (Tracked, optional) — If this entity is tracked by another entity, this component contains data related to how it's being tracked.
- `correlation` (Correlation, optional) — If this entity has been correlated or decorrelated to another one, this component contains information on the correlation or decorrelation.
- `milView` (MilView, optional) — View of the entity.
- `ontology` (Ontology, optional) — Ontology defines an entity's categorization in Lattice, and improves data retrieval and integration. Builds a standardized representation of the entity.
- `sensors` (Sensors, optional) — Details an entity's available sensors.
- `payloads` (Payloads, optional) — Details an entity's available payloads.
- `powerState` (PowerState, optional) — Details the entity's power source.
- `provenance` (Provenance, optional) — The primary data source provenance for this entity.
- `overrides` (Overrides, optional) — Provenance of override data.
- `indicators` (Indicators, optional) — Describes an entity's specific characteristics and the operations that can be performed on the entity. For example, "simulated" informs the operator that the entity is from a simulation, and "deletable" informs the operator (and system) that the delete operation is valid against the entity.
- `targetPriority` (TargetPriority, optional) — The prioritization associated with an entity, such as if it's a threat or a high-value target.
- `signal` (Signal, optional) — Describes an entity's signal characteristics, primarily used when an entity is a signal of interest.
- `transponderCodes` (TransponderCodes, optional) — A message describing any transponder codes associated with Mode 1, 2, 3, 4, 5, S, C interrogations. These are related to ADS-B modes.
- `dataClassification` (Classification, optional) — Describes an entity's security classification levels at an overall classification level and on a per field level.
- `taskCatalog` (TaskCatalog, optional) — A catalog of tasks that can be performed by an entity.
- `media` (Media, optional) — Media associated with an entity, such as videos, images, or thumbnails.
- `relationships` (Relationships, optional) — The relationships between this entity and other entities in the common operational picture (COP).
- `visualDetails` (VisualDetails, optional) — Visual details associated with the display of an entity in the client.
- `dimensions` (Dimensions, optional) — Physical dimensions of the entity.
- `routeDetails` (RouteDetails, optional) — Additional information about an entity's route.
- `schedules` (Schedules, optional) — Schedules associated with this entity.
- `health` (Health, optional) — Health metrics or connection status reported by the entity.
- `groupDetails` (GroupDetails, optional) — Details for the group associated with this entity.
- `supplies` (Supplies, optional) — Contains relevant supply information for the entity, such as fuel.
- `orbit` (Orbit, optional) — Orbit information for space objects.
- `symbology` (Symbology, optional) — Symbology/iconography for the entity respecting an existing standard.

### HighValueTargetMatch

- `highValueTargetListId` (string, optional) — The ID of the high value target list that matches the target description.
- `highValueTargetDescriptionId` (string, optional) — The ID of the specific high value target description within a high value target list that was matched against. The ID is considered to be a globally unique identifier across all high value target IDs.

### RelationshipType

Determines the type of relationship between this entity and another.

- `trackedBy` (TrackedBy, optional) — Describes the relationship between the entity being tracked ("tracked entity") and the entity that is performing the tracking ("tracking entity").
- `groupChild` (GroupChild, optional) — A GroupChild relationship is a uni-directional relationship indicating that (1) this entity represents an Entity Group and (2) the related entity is a child member of this group. The presence of this relationship alone determines that the type of group is an Entity Group.
- `groupParent` (GroupParent, optional) — A GroupParent relationship is a uni-directional relationship indicating that this entity is a member of the Entity Group represented by the related entity. The presence of this relationship alone determines that the type of group that this entity is a member of is an Entity Group.
- `mergedFrom` (MergedFrom, optional) — A MergedFrom relationship is a uni-directional relationship indicating that this entity is a merged entity whose data has at least partially been merged from the related entity.
- `activeTarget` (ActiveTarget, optional) — A target relationship is the inverse of TrackedBy; a one-way relation from sensor to target, indicating track(s) currently prioritized by a robot.

### CronWindow

- `cronExpression` (string, optional) — in UTC, describes when and at what cadence this window starts, in the quartz flavor of cron examples: This schedule is begins at 7:00:00am UTC everyday between Monday and Friday 0 0 7 ? * MON-FRI * This schedule begins every 5 minutes starting at 12:00:00pm UTC until 8:00:00pm UTC everyday 0 0/5 12-20 * * ? * This schedule begins at 12:00:00pm UTC on March 2nd 2023 0 0 12 2 3 ? 2023
- `durationMillis` (string, optional) — describes the duration

### ComponentMessage

A message describing the component's health status.

- `status` (enum, optional) — The status associated with this message.
  - Allowed values: `HEALTH_STATUS_INVALID`, `HEALTH_STATUS_HEALTHY`, `HEALTH_STATUS_WARN`, `HEALTH_STATUS_FAIL`, `HEALTH_STATUS_OFFLINE`, `HEALTH_STATUS_NOT_READY`
- `message` (string, optional) — The human-readable content of the message.

### AlertCondition

A condition which may trigger an alert.

- `conditionCode` (string, optional) — Short, machine-readable code that describes this condition. This code is intended to provide systems off-asset with a lookup key to retrieve more detailed information about the condition.
- `description` (string, optional) — Human-readable description of this condition. The description is intended for display in the UI for human understanding and should not be used for machine processing. If the description is fixed and the vehicle controller provides no dynamic substitutions, then prefer lookup based on condition_code.

### Agent

Represents an agent capable of processing tasks.

- `entityId` (string, optional) — Entity ID of the agent.

### OrbitMeanElementsMetadata

- `creationDate` (datetime, optional) — Creation date/time in UTC
- `originator` (string, optional) — Creating agency or operator
- `messageId` (string, optional) — ID that uniquely identifies a message from a given originator.
- `refFrame` (enum, optional) — Reference frame, assumed to be Earth-centered
  - Allowed values: `ECI_REFERENCE_FRAME_INVALID`, `ECI_REFERENCE_FRAME_TEME`
- `refFrameEpoch` (datetime, optional) — Reference frame epoch in UTC - mandatory only if not intrinsic to frame definition
- `meanElementTheory` (enum, optional)
  - Allowed values: `MEAN_ELEMENT_THEORY_INVALID`, `MEAN_ELEMENT_THEORY_SGP4`

### MeanKeplerianElements

- `epoch` (datetime, optional) — UTC time of validity
- `semiMajorAxisKm` (double, optional) — Preferred: semi major axis in kilometers
- `meanMotion` (double, optional) — If using SGP/SGP4, provide the Keplerian Mean Motion in revolutions per day
- `eccentricity` (double, optional)
- `inclinationDeg` (double, optional) — Angle of inclination in deg
- `raOfAscNodeDeg` (double, optional) — Right ascension of the ascending node in deg
- `argOfPericenterDeg` (double, optional) — Argument of pericenter in deg
- `meanAnomalyDeg` (double, optional) — Mean anomaly in deg
- `gm` (double, optional) — Optional: gravitational coefficient (Gravitational Constant x central mass) in kg^3 / s^2

### TleParameters

- `ephemerisType` (uint, optional) — Integer specifying TLE ephemeris type
- `classificationType` (string, optional) — User-defined free-text message classification/caveats of this TLE
- `noradCatId` (uint, optional) — Norad catalog number: integer up to nine digits.
- `elementSetNo` (uint, optional)
- `revAtEpoch` (uint, optional) — Optional: revolution number
- `bstar` (double, optional) — Drag parameter for SGP-4 in units 1 / Earth radii
- `bterm` (double, optional) — Drag parameter for SGP4-XP in units m^2 / kg
- `meanMotionDot` (double, optional) — First time derivative of mean motion in rev / day^2
- `meanMotionDdot` (double, optional) — Second time derivative of mean motion in rev / day^3. For use with SGP or PPT3.
- `agom` (double, optional) — Solar radiation pressure coefficient A_gamma / m in m^2 / kg. For use with SGP4-XP.

### AltitudeAboveWGS84Ellipsoid

Altitude above the WGS84 defined ellipsoid. Often measured with a GNSS sensor.

- `provenance` (AltitudeProvenance, optional) — The provenance of the measurement.
- `valueMeters` (double, optional) — The altitude value in meters.

### Altitude

- `haeWgs84` (AltitudeAboveWGS84Ellipsoid, optional) — Altitude above the WGS84 defined ellipsoid. Often measured with a GNSS sensor.
- `asf` (AltitudeAboveSeaFloor, optional) — The altitude above the sea floor, generally measured with a sonar.
- `bss` (AltitudeBelowSeaSurface, optional) — The altitude below sea surface, generally measured with a pressure depth sensor.
- `pressureSdp` (AltitudeAboveStandardDatumPlanePressure, optional) — The altitude reading measured above the standard datum plane (29.92 inHg or 1013.2 hPA). This is also known as pressure altitude or QNE in aviation terms. This altitude should be used when flying at high altitudes and above the transition level (18,000 in the USA and Canada), ensuring the use of a common reference altitude.
- `pressureAmsl` (AltitudeAboveMeanSeaLevelPressure, optional) — The calibrated pressure altitude reading measured above MSL. This is known as QNH or true altitude in aviation terms. This is separated from AltitudeAboveMeanSeaLevelEGM96, as the two values are not guaranteed to be the same due to temperature fluctuations.
- `egm96Amsl` (AltitudeAboveMeanSeaLevelEGM96, optional) — The altitude relative to mean sea level represented by the EGM96 geoid. This is often calculated using a terrain conversion of from a GNSS device.
- `agl` (AltitudeAboveGroundLevel, optional) — Altitude as AGL (Above ground level). This is also known as absolute altitude or QFE in aviation terms.

### GeoPolygonPosition

A position in a GeoPolygon with an optional extruded height.

- `position` (Position, optional) — base position. if no altitude set, its on the ground.
- `heightM` (float, optional) — optional height above base position to extrude in meters. for a given polygon, all points should have a height or none of them. strictly GeoJSON compatible polygons will not have this set.

### Pose

- `pos` (LLA, optional) — Geospatial location defined by this Pose.
- `attEnu` (Quaternion, optional) — The quaternion to transform a point in the Pose frame to the ENU frame. The Pose frame could be Body, Turret, etc and is determined by the context in which this Pose is used. The normal convention for defining orientation is to list the frames of transformation, for example att\_gimbal\_to\_enu is the quaternion which transforms a point in the gimbal frame to the body frame, but in this case we truncate to att\_enu because the Pose frame isn't defined. A potentially better name for this field would have been att\_pose\_to\_enu. Implementations of this quaternion should left multiply this quaternion to transform a point from the Pose frame to the enu frame. Point\<Pose> posePt; Rotation\<Enu, Pose> attPoseToEnu; Point\<Enu> = attPoseToEnu\*posePt; This transformed point represents some vector in ENU space that is aligned with the x axis of the attPoseToEnu matrix. An alternative matrix expression is as follows: ptEnu = M x ptPose

### TMat2

symmetric 2d matrix only representing the upper right triangle, useful for covariance matrices

- `mxx` (double, optional)
- `mxy` (double, optional)
- `myy` (double, optional)

### BandwidthRange

A component that describes the min and max bandwidths of a sensor

- `minimumBandwidth` (Bandwidth, optional) — Describes the bandwidth of a signal
- `maximumBandwidth` (Bandwidth, optional) — Describes the bandwidth of a signal

### ProjectedFrustum

Represents a frustum in which which all four corner points project onto the ground. All points in this message are optional, if the projection to the ground fails then they will not be populated.

- `upperLeft` (Position, optional) — Upper left point of the frustum.
- `upperRight` (Position, optional) — Upper right point of the frustum.
- `bottomRight` (Position, optional) — Bottom right point of the frustum.
- `bottomLeft` (Position, optional) — Bottom left point of the frustum.

### EntityManager.Pose

- `pos` (Position, optional) — Geospatial location defined by this Pose.
- `orientation` (Quaternion, optional) — The quaternion to transform a point in the Pose frame to the ENU frame. The Pose frame could be Body, Turret, etc and is determined by the context in which this Pose is used. The normal convention for defining orientation is to list the frames of transformation, for example att_gimbal_to_enu is the quaternion which transforms a point in the gimbal frame to the body frame, but in this case we truncate to att_enu because the Pose frame isn't defined. A potentially better name for this field would have been att_pose_to_enu. Implementations of this quaternion should left multiply this quaternion to transform a point from the Pose frame to the enu frame.

### TrackedBy

Describes the relationship between the entity being tracked ("tracked entity") and the entity that is performing the tracking ("tracking entity").

- `activelyTrackingSensors` (Sensors, optional) — Sensor details of the tracking entity's sensors that were active and tracking the tracked entity. This may be a subset of the total sensors available on the tracking entity.
- `lastMeasurementTimestamp` (datetime, optional) — Latest time that any sensor in actively_tracking_sensors detected the tracked entity.

### GroupChild

A GroupChild relationship is a uni-directional relationship indicating that (1) this entity represents an Entity Group and (2) the related entity is a child member of this group. The presence of this relationship alone determines that the type of group is an Entity Group.

### GroupParent

A GroupParent relationship is a uni-directional relationship indicating that this entity is a member of the Entity Group represented by the related entity. The presence of this relationship alone determines that the type of group that this entity is a member of is an Entity Group.

### MergedFrom

A MergedFrom relationship is a uni-directional relationship indicating that this entity is a merged entity whose data has at least partially been merged from the related entity.

### ActiveTarget

A target relationship is the inverse of TrackedBy; a one-way relation from sensor to target, indicating track(s) currently prioritized by a robot.

### AltitudeProvenance

- `sourceType` (enum, optional)
  - Allowed values: `ALTITUDE_PROVENANCE_TYPE_INVALID`, `ALTITUDE_PROVENANCE_TYPE_RADAR_ALTIMETER`, `ALTITUDE_PROVENANCE_TYPE_LASER_ALTIMETER`, `ALTITUDE_PROVENANCE_TYPE_BAROMETER`, `ALTITUDE_PROVENANCE_TYPE_TERRAIN_CONVERSION`, `ALTITUDE_PROVENANCE_TYPE_GNSS`, `ALTITUDE_PROVENANCE_TYPE_SONAR`, `ALTITUDE_PROVENANCE_TYPE_USER_INPUT`, `ALTITUDE_PROVENANCE_TYPE_INS`

### AltitudeAboveSeaFloor

The altitude above the sea floor, generally measured with a sonar.

- `provenance` (AltitudeProvenance, optional) — The provenance of the measurement.
- `valueMeters` (double, optional) — The altitude value in meters.

### AltitudeBelowSeaSurface

The altitude below sea surface, generally measured with a pressure depth sensor.

- `provenance` (AltitudeProvenance, optional) — The provenance of the measurement.
- `valueMeters` (double, optional) — The altitude value in meters.

### AltitudeAboveStandardDatumPlanePressure

The altitude reading measured above the standard datum plane (29.92 inHg or 1013.2 hPA). This is also known as pressure altitude or QNE in aviation terms. This altitude should be used when flying at high altitudes and above the transition level (18,000 in the USA and Canada), ensuring the use of a common reference altitude.

- `provenance` (AltitudeProvenance, optional) — The provenance of the measurement.
- `valueMeters` (double, optional) — The altitude value in meters.

### AltitudeAboveMeanSeaLevelPressure

The calibrated pressure altitude reading measured above MSL. This is known as QNH or true altitude in aviation terms. This is separated from AltitudeAboveMeanSeaLevelEGM96, as the two values are not guaranteed to be the same due to temperature fluctuations.

- `provenance` (AltitudeProvenance, optional) — The provenance of the measurement.
- `valueMeters` (double, optional) — The altitude value in meters.

### AltitudeAboveMeanSeaLevelEGM96

The altitude relative to mean sea level represented by the EGM96 geoid. This is often calculated using a terrain conversion of from a GNSS device.

- `provenance` (AltitudeProvenance, optional) — The provenance of the measurement.
- `valueMeters` (double, optional) — The altitude value in meters.

### AltitudeAboveGroundLevel

Altitude as AGL (Above ground level). This is also known as absolute altitude or QFE in aviation terms.

- `provenance` (AltitudeProvenance, optional) — The provenance of the measurement.
- `valueMeters` (double, optional) — The altitude value in meters.

### LLA

- `lon` (double, optional)
- `lat` (double, optional)
- `alt` (double, optional)
- `is2d` (boolean, optional)
- `altitudeReference` (enum, optional) — Meaning of alt. altitude in meters above either WGS84 or EGM96, use altitude_reference to determine what zero means.
  - Allowed values: `ALTITUDE_REFERENCE_INVALID`, `ALTITUDE_REFERENCE_HEIGHT_ABOVE_WGS84`, `ALTITUDE_REFERENCE_HEIGHT_ABOVE_EGM96`, `ALTITUDE_REFERENCE_UNKNOWN`, `ALTITUDE_REFERENCE_BAROMETRIC`, `ALTITUDE_REFERENCE_ABOVE_SEA_FLOOR`, `ALTITUDE_REFERENCE_BELOW_SEA_SURFACE`

### Bandwidth

Describes the bandwidth of a signal

- `bandwidthHz` (double, optional)

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "entityId": "string",
  "description": "string",
  "isLive": true,
  "createdTime": "2024-01-15T09:30:00Z",
  "expiryTime": "2024-01-15T09:30:00Z",
  "noExpiry": true,
  "status": {
    "platformActivity": "string",
    "role": "string"
  },
  "location": {
    "position": {
      "latitudeDegrees": 1.1,
      "longitudeDegrees": 1.1,
      "altitudeHaeMeters": 1.1,
      "altitudeAglMeters": 1.1,
      "altitudeAsfMeters": 1.1,
      "pressureDepthMeters": 1.1
    },
    "velocityEnu": {
      "e": 1.1,
      "n": 1.1,
      "u": 1.1
    },
    "speedMps": 1.1,
    "acceleration": {
      "e": 1.1,
      "n": 1.1,
      "u": 1.1
    },
    "attitudeEnu": {
      "x": 1.1,
      "y": 1.1,
      "z": 1.1,
      "w": 1.1
    }
  },
  "locationUncertainty": {
    "positionEnuCov": {
      "mxx": 1.1,
      "mxy": 1.1,
      "mxz": 1.1,
      "myy": 1.1,
      "myz": 1.1,
      "mzz": 1.1
    },
    "velocityEnuCov": {
      "mxx": 1.1,
      "mxy": 1.1,
      "mxz": 1.1,
      "myy": 1.1,
      "myz": 1.1,
      "mzz": 1.1
    },
    "positionErrorEllipse": {
      "probability": 1.1,
      "semiMajorAxisM": 1.1,
      "semiMinorAxisM": 1.1,
      "orientationD": 1.1
    }
  },
  "kinematics": {
    "kinematicsGeodetic": {
      "location": {
        "latitudeDegrees": 1.1,
        "longitudeDegrees": 1.1,
        "universalAltitudeHae": {
          "provenance": {
            "sourceType": "ALTITUDE_PROVENANCE_TYPE_INVALID"
          },
          "valueMeters": 1.1
        },
        "additionalAltitudes": [
          {
            "haeWgs84": {
              "provenance": {
                "sourceType": "ALTITUDE_PROVENANCE_TYPE_INVALID"
              },
              "valueMeters": 1.1
            },
            "asf": {
              "provenance": {
                "sourceType": "ALTITUDE_PROVENANCE_TYPE_INVALID"
              },
              "valueMeters": 1.1
            },
            "bss": {
              "provenance": {
                "sourceType": "ALTITUDE_PROVENANCE_TYPE_INVALID"
              },
              "valueMeters": 1.1
            },
            "pressureSdp": {
              "provenance": {
                "sourceType": "ALTITUDE_PROVENANCE_TYPE_INVALID"
              },
              "valueMeters": 1.1
            },
            "pressureAmsl": {
              "provenance": {
                "sourceType": "ALTITUDE_PROVENANCE_TYPE_INVALID"
              },
              "valueMeters": 1.1
            },
            "egm96Amsl": {
              "provenance": {
                "sourceType": "ALTITUDE_PROVENANCE_TYPE_INVALID"
              },
              "valueMeters": 1.1
            },
            "agl": {
              "provenance": {
                "sourceType": "ALTITUDE_PROVENANCE_TYPE_INVALID"
              },
              "valueMeters": 1.1
            }
          }
        ]
      },
      "locationUncertaintyEnu": {
        "mxx": 1.1,
        "mxy": 1.1,
        "mxz": 1.1,
        "myy": 1.1,
        "myz": 1.1,
        "mzz": 1.1
      },
      "velocityEnuMPerS": {
        "x": 1.1,
        "y": 1.1,
        "z": 1.1
      },
      "velocityUncertaintyEnu": {
        "mxx": 1.1,
        "mxy": 1.1,
        "mxz": 1.1,
        "myy": 1.1,
        "myz": 1.1,
        "mzz": 1.1
      },
      "accelerationMPerS2": {
        "x": 1.1,
        "y": 1.1,
        "z": 1.1
      },
      "attitudeEnu": {
        "x": 1.1,
        "y": 1.1,
        "z": 1.1,
        "w": 1.1
      },
      "measurementTime": "2024-01-15T09:30:00Z"
    },
    "kinematicsGeocentric": {
      "location": {
        "xMeters": 1.1,
        "yMeters": 1.1,
        "zMeters": 1.1
      },
      "locationUncertaintyEcef": {
        "mxx": 1.1,
        "mxy": 1.1,
        "mxz": 1.1,
        "myy": 1.1,
        "myz": 1.1,
        "mzz": 1.1
      },
      "velocityEcefMPerS": {
        "x": 1.1,
        "y": 1.1,
        "z": 1.1
      },
      "velocityUncertaintyEcef": {
        "mxx": 1.1,
        "mxy": 1.1,
        "mxz": 1.1,
        "myy": 1.1,
        "myz": 1.1,
        "mzz": 1.1
      },
      "accelerationMPerS2": {
        "x": 1.1,
        "y": 1.1,
        "z": 1.1
      },
      "attitudeEcef": {
        "x": 1.1,
        "y": 1.1,
        "z": 1.1,
        "w": 1.1
      },
      "measurementTime": "2024-01-15T09:30:00Z"
    }
  },
  "geoShape": {
    "point": {
      "position": {
        "latitudeDegrees": 1.1,
        "longitudeDegrees": 1.1,
        "altitudeHaeMeters": 1.1,
        "altitudeAglMeters": 1.1,
        "altitudeAsfMeters": 1.1,
        "pressureDepthMeters": 1.1
      }
    },
    "line": {
      "positions": [
        {
          "latitudeDegrees": 1.1,
          "longitudeDegrees": 1.1,
          "altitudeHaeMeters": 1.1,
          "altitudeAglMeters": 1.1,
          "altitudeAsfMeters": 1.1,
          "pressureDepthMeters": 1.1
        }
      ]
    },
    "polygon": {
      "rings": [
        {
          "positions": [
            {
              "position": {
                "latitudeDegrees": 1.1,
                "longitudeDegrees": 1.1,
                "altitudeHaeMeters": 1.1,
                "altitudeAglMeters": 1.1,
                "altitudeAsfMeters": 1.1,
                "pressureDepthMeters": 1.1
              },
              "heightM": 1.1
            }
          ]
        }
      ],
      "isRectangle": true
    },
    "ellipse": {
      "semiMajorAxisM": 1.1,
      "semiMinorAxisM": 1.1,
      "orientationD": 1.1,
      "heightM": 1.1
    },
    "ellipsoid": {
      "forwardAxisM": 1.1,
      "sideAxisM": 1.1,
      "upAxisM": 1.1
    }
  },
  "geoDetails": {
    "type": "GEO_TYPE_INVALID",
    "controlArea": {
      "type": "CONTROL_AREA_TYPE_INVALID"
    },
    "acm": {
      "acmType": "ACM_DETAIL_TYPE_INVALID",
      "acmDescription": "string"
    },
    "visualDetails": {
      "fillColor": {
        "red": 1.1,
        "green": 1.1,
        "blue": 1.1,
        "alpha": 1.1
      },
      "lineColor": {
        "red": 1.1,
        "green": 1.1,
        "blue": 1.1,
        "alpha": 1.1
      }
    }
  },
  "aliases": {
    "alternateIds": [
      {
        "id": "string",
        "type": "ALT_ID_TYPE_INVALID"
      }
    ],
    "name": "string"
  },
  "tracked": {
    "trackQualityWrapper": 1,
    "sensorHits": 1,
    "numberOfObjects": {
      "lowerBound": 1,
      "upperBound": 1
    },
    "radarCrossSection": 1.1,
    "lastMeasurementTime": "2024-01-15T09:30:00Z",
    "lineOfBearing": {
      "angleOfArrival": {
        "relativePose": {
          "pos": {
            "lon": 1.1,
            "lat": 1.1,
            "alt": 1.1,
            "is2d": true,
            "altitudeReference": "ALTITUDE_REFERENCE_INVALID"
          },
          "attEnu": {
            "x": 1.1,
            "y": 1.1,
            "z": 1.1,
            "w": 1.1
          }
        },
        "bearingElevationCovarianceRad2": {
          "mxx": 1.1,
          "mxy": 1.1,
          "myy": 1.1
        }
      },
      "rangeEstimateM": {
        "value": 1.1,
        "sigma": 1.1
      },
      "maxRangeM": {
        "value": 1.1,
        "sigma": 1.1
      }
    }
  },
  "correlation": {
    "primary": {
      "secondaryEntityIds": [
        "string"
      ]
    },
    "secondary": {
      "primaryEntityId": "string",
      "metadata": {
        "provenance": {
          "integrationName": "string",
          "dataType": "string",
          "sourceId": "string",
          "sourceUpdateTime": "2024-01-15T09:30:00Z",
          "sourceDescription": "string"
        },
        "replicationMode": "CORRELATION_REPLICATION_MODE_INVALID",
        "type": "CORRELATION_TYPE_INVALID"
      }
    },
    "membership": {
      "correlationSetId": "string",
      "primary": {},
      "nonPrimary": {},
      "metadata": {
        "provenance": {
          "integrationName": "string",
          "dataType": "string",
          "sourceId": "string",
          "sourceUpdateTime": "2024-01-15T09:30:00Z",
          "sourceDescription": "string"
        },
        "replicationMode": "CORRELATION_REPLICATION_MODE_INVALID",
        "type": "CORRELATION_TYPE_INVALID"
      }
    },
    "decorrelation": {
      "all": {
        "metadata": {
          "provenance": {
            "integrationName": "string",
            "dataType": "string",
            "sourceId": "string",
            "sourceUpdateTime": "2024-01-15T09:30:00Z",
            "sourceDescription": "string"
          },
          "replicationMode": "CORRELATION_REPLICATION_MODE_INVALID",
          "type": "CORRELATION_TYPE_INVALID"
        }
      },
      "decorrelatedEntities": [
        {
          "entityId": "string",
          "metadata": {
            "provenance": {
              "integrationName": "string",
              "dataType": "string",
              "sourceId": "string",
              "sourceUpdateTime": "2024-01-15T09:30:00Z",
              "sourceDescription": "string"
            },
            "replicationMode": "CORRELATION_REPLICATION_MODE_INVALID",
            "type": "CORRELATION_TYPE_INVALID"
          }
        }
      ]
    }
  },
  "milView": {
    "disposition": "DISPOSITION_UNKNOWN",
    "environment": "ENVIRONMENT_UNKNOWN",
    "nationality": "NATIONALITY_INVALID"
  },
  "ontology": {
    "platformType": "string",
    "specificType": "string",
    "template": "TEMPLATE_INVALID"
  },
  "sensors": {
    "sensors": [
      {
        "sensorId": "string",
        "operationalState": "OPERATIONAL_STATE_INVALID",
        "sensorType": "SENSOR_TYPE_INVALID",
        "sensorDescription": "string",
        "rfConfiguraton": {
          "frequencyRangeHz": [
            {
              "minimumFrequencyHz": {
                "frequencyHz": {
                  "value": 1.1,
                  "sigma": 1.1
                }
              },
              "maximumFrequencyHz": {
                "frequencyHz": {
                  "value": 1.1,
                  "sigma": 1.1
                }
              }
            }
          ],
          "bandwidthRangeHz": [
            {
              "minimumBandwidth": {
                "bandwidthHz": 1.1
              },
              "maximumBandwidth": {
                "bandwidthHz": 1.1
              }
            }
          ]
        },
        "lastDetectionTimestamp": "2024-01-15T09:30:00Z",
        "fieldsOfView": [
          {
            "fovId": 1,
            "mountId": "string",
            "projectedFrustum": {
              "upperLeft": {
                "latitudeDegrees": 1.1,
                "longitudeDegrees": 1.1,
                "altitudeHaeMeters": 1.1,
                "altitudeAglMeters": 1.1,
                "altitudeAsfMeters": 1.1,
                "pressureDepthMeters": 1.1
              },
              "upperRight": {
                "latitudeDegrees": 1.1,
                "longitudeDegrees": 1.1,
                "altitudeHaeMeters": 1.1,
                "altitudeAglMeters": 1.1,
                "altitudeAsfMeters": 1.1,
                "pressureDepthMeters": 1.1
              },
              "bottomRight": {
                "latitudeDegrees": 1.1,
                "longitudeDegrees": 1.1,
                "altitudeHaeMeters": 1.1,
                "altitudeAglMeters": 1.1,
                "altitudeAsfMeters": 1.1,
                "pressureDepthMeters": 1.1
              },
              "bottomLeft": {
                "latitudeDegrees": 1.1,
                "longitudeDegrees": 1.1,
                "altitudeHaeMeters": 1.1,
                "altitudeAglMeters": 1.1,
                "altitudeAsfMeters": 1.1,
                "pressureDepthMeters": 1.1
              }
            },
            "projectedCenterRay": {
              "latitudeDegrees": 1.1,
              "longitudeDegrees": 1.1,
              "altitudeHaeMeters": 1.1,
              "altitudeAglMeters": 1.1,
              "altitudeAsfMeters": 1.1,
[...]
